require "pry"

require 'ruby-try'
require "zapnito/cli/version"
require "zapnito/cli/utils"
require "zapnito/cli/initializers/configatron"
require "zapnito/cli/initializers/mime_types"
require "zapnito/cli/initializers/restclient"
require "zapnito/cli/models/theme"
require "zapnito/cli/services/local"
require "zapnito/cli/services/zapnito"
require "zapnito/cli/services/s3"
require "zapnito/cli/services"
require "zapnito/cli/questions"
require "thor"
require "zapnito/cli/commands/theme"
require "zapnito/cli/commands/environment"
require "zapnito/cli/commands/development_theme"
require "zapnito/cli/commands/stage_theme"
require "zapnito/cli/commands/production_theme"

module Zapnito
  module Cli
    class Main < Thor
      desc "theme COMMANDS", "General theme commands"
      subcommand "theme", Zapnito::Cli::Commands::Theme

      if configatron.environments.has_key?(:development)
        desc "development:theme COMMANDS", "Development Theme control"
        subcommand "development:theme", Zapnito::Cli::Commands::DevelopmentTheme
      end

      if configatron.environments.has_key?(:stage)
        desc "stage:theme COMMANDS", "Stage theme control"
        subcommand "stage:theme", Zapnito::Cli::Commands::StageTheme
      end

      if configatron.environments.has_key?(:production)
        desc "production:theme COMMANDS", "Production Theme control"
        subcommand "production:theme", Zapnito::Cli::Commands::ProductionTheme
      end
    end
  end
end
