require "configatron"
require "json"

def assign_environment_config!(json_config)
  puts json_config.inspect
  if json_config
    configatron_environment = yield
    configatron_environment.basepath = json_config["basepath"]
    configatron_environment.api_token = json_config["apiToken"]
  end
end

begin
  config = JSON.parse(File.read(File.expand_path("~/.zapnito")))
  environments = config["environments"]
  raise "Invalid json structure, see README for details" unless environments

  assign_environment_config!(environments["development"]) { configatron.environments.development }
  assign_environment_config!(environments["stage"]) { configatron.environments.stage }
  assign_environment_config!(environments["production"]) { configatron.environments.production }

  configatron.working_dir = begin
    dir_name = Dir.getwd

    if dir_name =~ /zapnito-cli$/
      File.expand_path(config["developmentThemeDir"])
    else
      dir_name
    end
  end

  configatron.restclient_proxy = config["proxy"] || false
  configatron.restclient_log = config["debug"] ? STDOUT : false
end
