module Zapnito
  module Cli
    module Services
      class Local
        def load(path = configatron.working_dir)
          Models::Theme.new(path)
        end

        def tenant_slugs
          Dir.chdir(configatron.working_dir) do
            Dir["*"]
          end
        end

        def create_theme!(tenant_slug)
          path = File.join(configatron.working_dir, tenant_slug)
          FileUtils.mkdir(path)
          FileUtils.mkdir("#{path}/assets")
          FileUtils.touch("#{path}/assets/.gitkeep")
          File.open("#{path}/tenant.scss", "w+") do |f|
            f.write("@import \"base/main\";")
          end
          puts "---! Created #{tenant_slug}"
        end
      end
    end
  end
end
