require "active_support/gzip"

module Zapnito
  module Cli
    module Services
      class S3
        def upload_theme(theme, release_config)
          release_config.each do |file_path, upload_url|
            absolute_path = theme.absolute_path_for(file_path)
            content_type = Utils.mime_type_for(file_path)
            file = File.open(absolute_path).read

            if should_gzip?(file_path)
              RestClient.put(upload_url, file, content_type: content_type)
            else
              RestClient.put(upload_url, Utils.gzipped(file), content_type: content_type, content_encoding: "gzip")
            end
          end
        end

        private

        def should_gzip?(file_path)
          file_path =~ /scss$/
        end
      end
    end
  end
end
