module Zapnito
  module Cli
    module Utils
      extend self

      def mime_type_for(file)
        mime_type = MIME::Types.type_for(file).first
        raise "Unable to determine mime_type for #{file}" unless mime_type
        mime_type.to_s
      end

      def checksum_directory(path)
        files = Dir["#{path}/**/*"].reject{|f| File.directory?(f)}

        directory_md5 = Digest::MD5.new.tap do |md5|
          files.each do |f|
            md5 << f
            md5 << File.read(f)
          end
        end

        directory_md5.hexdigest
      end

      def gzipped(file)
        ActiveSupport::Gzip.compress(file)
      end
    end
  end
end
